# This file contains the data used for Fig. 3
# Additionally to the raw plot data, the general analytical expressions for the
# phase transitions is given.
# The data for the phase transitions can be found in Zhang et al. (10.1038/srep04083)
# and coincides perfectly with those found by the effective theory for the ANP and PNP gap closings.

---
# values of g/omega_0 for the plot in Fig. 3
g_values:
- 0.0
- 0.042105263157894736
- 0.08421052631578947
- 0.12631578947368421
- 0.16842105263157894
- 0.21052631578947367
- 0.25263157894736843
- 0.29473684210526313
- 0.3368421052631579
- 0.37894736842105264
- 0.42105263157894735
- 0.4631578947368421
- 0.5052631578947369
- 0.5473684210526316
- 0.5894736842105263
- 0.631578947368421
- 0.6736842105263158
- 0.7157894736842105
- 0.7578947368421053
- 0.8

# Fixed parameters of the Dicke Ising model for Fig. 3
omega: 4/3
omega_0: 1

# Calculated J/omega_0 values for the phase transitions for the given parameters.
J_values:
- - 0.25
  - 0.250665703914153
  - 0.2526734229162162
  - 0.2560549709112403
  - 0.26086331339194296
  - 0.2671723714361566
  - 0.27507653161356693
  - 0.2846896583340806
  - 0.29614337555240555
  - 0.3095843930181249
  - 0.3251707178077164
  - 0.3430667281716856
  - 0.36343728930941
  - 0.38644132614174287
  - 0.41222547323003744
  - 0.4409185207525058
  - 0.47262731266454194
  - 0.5074345273392582
  - 0.5453984438733253
  - 0.5865544690232691
- - 0.25
  - 0.24933961872720511
  - 0.2474126437235425
  - 0.24438837662783053
  - 0.24057148996694872
  - 0.2364339525221958
  - 0.23265074366680163
  - 0.23011729658822613
  - 0.22990739035811422
  - 0.2331304554451049
  - 0.24070719032666027
  - 0.25317959017603375
  - 0.2706771463984285
  - 0.2930325622079989
  - 0.31993886882224293
  - 0.35106430816188694
  - 0.38610952323412895
  - 0.42482568875799476
  - 0.4670137775352607
  - 0.5125171429620174
- - 0.25
  - 0.24867036011080332
  - 0.2446814404432133
  - 0.23803324099722992
  - 0.2287257617728532
  - 0.21675900277008311
  - 0.20213296398891967
  - 0.18484764542936288
  - 0.16490304709141274
  - 0.14229916897506925
  - 0.11703601108033243
  - 0.08911357340720222
  - 0.05853185595567867
  - 0.025290858725761756
  - -0.01060941828254841
  - -0.04916897506925205
  - -0.090387811634349
  - -0.13426592797783932
  - -0.180803324099723
  - -0.2300000000000001

# Analytic functions for the phase transitions found by
# mean field (and the effective theory)
# *Attention*: One of the solved equations has three solutions.
# For the plot one has to check which of the solutions is physically valid.
functions:
- - sqrt(\omega**2*\omega_0**2 + 4*g**4)/(4*Abs(\omega)) + g**2/(2*\omega)
- - -(g**4/\omega**2 - 3*(-\omega**2*\omega_0**2 - 16*g**4)/(16*\omega**2))/(3*(sqrt((-25*g**6/\omega**3
    - 9*g**2*(-\omega**2*\omega_0**2 - 16*g**4)/(16*\omega**3))**2 - 4*(g**4/\omega**2
    - 3*(-\omega**2*\omega_0**2 - 16*g**4)/(16*\omega**2))**3)/2 - 25*g**6/(2*\omega**3)
    - 9*g**2*(-\omega**2*\omega_0**2 - 16*g**4)/(32*\omega**3))**(1/3)) - (sqrt((-25*g**6/\omega**3
    - 9*g**2*(-\omega**2*\omega_0**2 - 16*g**4)/(16*\omega**3))**2 - 4*(g**4/\omega**2
    - 3*(-\omega**2*\omega_0**2 - 16*g**4)/(16*\omega**2))**3)/2 - 25*g**6/(2*\omega**3)
    - 9*g**2*(-\omega**2*\omega_0**2 - 16*g**4)/(32*\omega**3))**(1/3)/3 - g**2/(3*\omega)
  - -(g**4/\omega**2 - 3*(-\omega**2*\omega_0**2 - 16*g**4)/(16*\omega**2))/(3*(-1/2
    - sqrt(3)*I/2)*(sqrt((-25*g**6/\omega**3 - 9*g**2*(-\omega**2*\omega_0**2 - 16*g**4)/(16*\omega**3))**2
    - 4*(g**4/\omega**2 - 3*(-\omega**2*\omega_0**2 - 16*g**4)/(16*\omega**2))**3)/2
    - 25*g**6/(2*\omega**3) - 9*g**2*(-\omega**2*\omega_0**2 - 16*g**4)/(32*\omega**3))**(1/3))
    - (-1/2 - sqrt(3)*I/2)*(sqrt((-25*g**6/\omega**3 - 9*g**2*(-\omega**2*\omega_0**2
    - 16*g**4)/(16*\omega**3))**2 - 4*(g**4/\omega**2 - 3*(-\omega**2*\omega_0**2
    - 16*g**4)/(16*\omega**2))**3)/2 - 25*g**6/(2*\omega**3) - 9*g**2*(-\omega**2*\omega_0**2
    - 16*g**4)/(32*\omega**3))**(1/3)/3 - g**2/(3*\omega)
  - -(g**4/\omega**2 - 3*(-\omega**2*\omega_0**2 - 16*g**4)/(16*\omega**2))/(3*(-1/2
    + sqrt(3)*I/2)*(sqrt((-25*g**6/\omega**3 - 9*g**2*(-\omega**2*\omega_0**2 - 16*g**4)/(16*\omega**3))**2
    - 4*(g**4/\omega**2 - 3*(-\omega**2*\omega_0**2 - 16*g**4)/(16*\omega**2))**3)/2
    - 25*g**6/(2*\omega**3) - 9*g**2*(-\omega**2*\omega_0**2 - 16*g**4)/(32*\omega**3))**(1/3))
    - (-1/2 + sqrt(3)*I/2)*(sqrt((-25*g**6/\omega**3 - 9*g**2*(-\omega**2*\omega_0**2
    - 16*g**4)/(16*\omega**3))**2 - 4*(g**4/\omega**2 - 3*(-\omega**2*\omega_0**2
    - 16*g**4)/(16*\omega**2))**3)/2 - 25*g**6/(2*\omega**3) - 9*g**2*(-\omega**2*\omega_0**2
    - 16*g**4)/(32*\omega**3))**(1/3)/3 - g**2/(3*\omega)
- - \omega_0/4 - g**2/\omega
...